package ossj.common;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import javax.oss.ManagedEntityValue;

public class ManagedEntityValueAdapter extends XmlAdapter<ManagedEntityValueImpl,ManagedEntityValue>{
    
    public ManagedEntityValue unmarshal(ManagedEntityValueImpl p) throws Exception {
        try {
            ManagedEntityValue r = p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to unmarshall ManagedEntityValue : "+p;
            throw new Exception(msg+" due to "+e);   
        }                
    }

    public ManagedEntityValueImpl marshal(ManagedEntityValue p) throws Exception {
        try {
            ManagedEntityValueImpl r = (ManagedEntityValueImpl)p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to marshall ManagedEntityValueImpl : "+p;
            throw new Exception(msg+" due to "+e);   
        } 
    }
    
}
